Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2246 - Files in /etc/dhcpc can be corrupted by crash
Summary: Files in /etc/dhcpc can be corrupted by crash
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-18 04:21 UTC by wjw
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-02 11:22:03 UTC


Attachments (Terms of Use)

Description wjw 1999-04-18 04:21:12 UTC
This is *with* the 2.2.x upgrades for RH5.2 installed
per:
http://www.redhat.com/support/docs/rhl/kernel-2.2/kernel2.2-upgrade.html

After a power-fail crash, DHCPCD failed consistently on
re-boot.  The solution was to rm /etc/dhcpc/* and re-boot.
I conclude dhcpcd can leave its lease and or other working
files in a corrupt state on an abnormal termination.



Wes

Comment 1 Jeff Johnson 1999-06-02 11:22:59 UTC
This is a problem with the file system, not dhcpcd and cannot be
easily fixed.


Note You need to log in before you can comment on or make changes to this bug.